Comskip Support Forum

Comskip is a free commercial detector, browse the forum for more information
It is currently Sat Sep 22, 2018 11:33 pm

All times are UTC [ DST ]




Post new topic Reply to topic  [ 3 posts ] 
Author Message
PostPosted: Mon Oct 02, 2017 12:09 am 
Offline

Joined: Sun Oct 01, 2017 11:47 pm
Posts: 2
I am trying to install Comskip onto my Raspberry Pi 3 which is running OSMC August 2017 update. This update is based on Debian Jessie 8.9.

I am following the instructions listed in a how-to guide on the OSMC forums. (https://discourse.osmc.tv/t/howto-autoedit-fully-automated-dvr-with-commercial-detection/37137)

Code:
# 7) Install dependencies:
cd $HOME/sources
sudo apt-get install libargtable2-dev
git clone git://github.com/IfThenERROR/Comskip
cd Comskip
./autogen.sh
export CPPFLAGS='-I/opt/vc/include -I/home/osmc/ffmpeg_build/include'
./configure
make -j4
make install
cd $HOME
rm -R --interactive=never ~/sources/Comskip


When I go to make comskip, I am presented with an error stating I do not have lx265 or other libraries. I cannot find or don't know how to install the lx265 library. I am assuming it has something to do with ffmpeg.

Code:
/usr/bin/ld: cannot find -lmmal_core
/usr/bin/ld: cannot find -lmmal_util
/usr/bin/ld: cannot find -lmmal_vc_client
/usr/bin/ld: cannot find -lbcm_host
/usr/bin/ld: cannot find -lx265
collect2: error: ld returned 1 exit status
Makefile:423: recipe for target 'comskip' failed


Here is the output of the ./autogen.sh script
Code:
Preparing the Comskip build system...please wait

Found GNU Autoconf version 2.69
Found GNU Automake version 1.14.1
Found GNU Libtool version 2.4.2

Automatically preparing build ... done

The Comskip build system is now prepared.  To build here, run:
  ./configure
  make


Any help would be appreciated.


Top
 Profile  
Reply with quote  
PostPosted: Mon Oct 02, 2017 5:22 pm 
Offline

Joined: Fri Oct 25, 2013 6:39 am
Posts: 10
you are most likely missing the -dev packages.


Top
 Profile  
Reply with quote  
PostPosted: Tue Oct 10, 2017 3:37 pm 
Offline

Joined: Sun Oct 01, 2017 11:47 pm
Posts: 2
I was able to install libx265 via the jessie-backports repository. After recompiling ffmpeg, I was able to install Comskip.


Top
 Profile  
Reply with quote  
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 3 posts ] 

All times are UTC [ DST ]


Who is online

Users browsing this forum: No registered users and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum

Search for:
Jump to:  
Powered by phpBB® Forum Software © phpBB Group